import * as browser from "webextension-polyfill";

/**
 * Retrieve management info for the extension if it exists.
 *
 * @return {Promise<{installType:string}|null>} management info or null if none found
 */
export async function getManagementInfo() {
  if (browser.management && browser.management.getSelf) {
    return await browser.management.getSelf();
  }
  return null;
}
