/* global __dirname */

import { resolve } from "path";
import { defineConfig } from "vite";
import { svelte } from "@sveltejs/vite-plugin-svelte";
import { uBlockBuild } from "./src/tools/build.js";

// https://vitejs.dev/config/
export default defineConfig({
  plugins: [svelte(), uBlockBuild()],
  build: {
    sourcemap: true,
    rollupOptions: {
      input: {
        "worker/service": resolve(__dirname, "src/background/background.js"),
        "options/options": resolve(__dirname, "options.html"),
        "popup/popup": resolve(__dirname, "popup.html"),
        "background/background": resolve(__dirname, "background.html"),
      },
    },
  },
});
